html,
body {
    /* height: 100%; */
    background-color: black;
    margin: 0px;
    padding: 0px;
    box-sizing: border-box;
    color: white;
    display: flex;
    justify-content: center;
    align-items: center;
}

.main-container {
    /* min-height: 100vh; */
    /* width: 100vw;  */
}

nav {
    height: 3.5em;
    background-color: #221933;
    border: 1px solid #ab9bc8;
    display: flex;
    justify-content: space-between;
    align-items: center;
    color: white;
    padding: 1em;
    box-shadow: 0 0 5px purple;
    position: sticky;
    top: 0px;
    z-index: 99;
}

.logo {
    font-size: 1.5rem;
    font-weight: bold;
    letter-spacing: 0.3rem;
}

.nav-links {
    padding-top: 1.1em;
    padding-right: 1.1em;
    list-style: none;
    display: flex;
    gap: 35px;
    font-weight: 600;
}

.nav-links a {
    text-decoration: none;
    color: #c4c6ce;
    font-size: 1.1rem;
    transition: color 0.3s ease;
}

.nav-links a:hover {
    color: white;
}

section {
    margin: 10rem 1rem;
    /* display: flex; */
}

.arrowTop{
    height: 60px;
    width: 60px;
    border-radius:50%;
    background-image:linear-gradient(to right, #B4A8E1, #694285) ;
    position: fixed;
    right: 20px;
    bottom: 20px;
    z-index: 99;
}

.arrowTop i{
    color: white;
    font-size: 40px;
    position: relative;
    top: 9px;
    left: 14px;
}

.main h1 {
    background: linear-gradient(to right, #6A3A84, #9473B8);
    font-size: 5.5rem;
    font-weight: 800;
    letter-spacing: 0.1rem;
    padding-left: 4%;
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
}


.c-orange {
    /* color: #6f34fe; */
    color: white;
    padding-left: 1em;
    font-weight: 400;
    font-size: 70px;
    margin-bottom: 8%;
}

.hireMe {
    margin-top: 3em;
    height: 50px;
    width: 100px;
    padding: 0.4em 0.4em;
    border-radius: 1.5em;
    bottom: 1px solid;
    background-image: linear-gradient(to right, #694285, #B4A8E1);
    border: 1px solid #6A3A84;
    color: white;
    font-weight: 600;
    margin-left: 5em;
    margin-bottom: 10em;
}

.hireMe:hover {
    transform: translateY(-30px);
    background-image: linear-gradient(to right, #B4A8E1, #694285);
    box-shadow: 0 0 5px 3px #6A3A84;
    transition-duration: 1s;
}

.aboutMe {
    height: 42em;
    width: 90%;
    background-color: #232330;
    border-radius: 50px;
    margin: 3em 3.4em;
    display: grid;
    grid-template-columns: 50% 50%;
    /* justify-content: space-between; */
    /* align-items: center; */
    color: white;
}

.aboutMe2 p,
.mainList {
    font-size: 1.3em;
    margin-right: 1em;
}

.aboutMe1,
.contact1 {
    padding-top: 10em;
    display: flex;
    flex-direction: column;
    gap: 3px;
}

.key-row {
    display: flex;
    justify-content: center;
    gap: 5px;
}

.key {
    background-color: #B062D1;
    color: white;
    border-radius: 6px;
    padding: 3px 6px;
    box-shadow: 0 3px 10px rgba(255, 255, 255, 0.1);
    opacity: 0;
    transform: translateY(-50px) scale(0.5);
}

.key.space {
    width: 300px;
}

.aboutHead {
    /* color: #6A3A84; */
    font-size: 3em;
    font-weight: 700;
    margin: 1em 0 1em 0;
}

.mainList {
    display: grid;
    grid-template-columns: 50% 50%;
}

.aboutTools {
    margin-top: 1.5em;
    margin-bottom: 1em;
}

.aboutList {
    list-style-type: none;
}

.projects {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
}

.projects h1 {
    /* display: flex; */
    /* justify-content: center; */
    font-size: 2.5rem;
    font-weight: 700;
    margin-bottom: 2em;
}

.projectCard {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    background-color: black;
    gap: 40px;
    border: none;
    margin: 4vw;
}

.card {
    border: none;
}

.card-title {
    color: white;
}

.card img {
    background-size: cover;
}

.card-body {
    background-color: black;
}

.card-link {
    display: grid;
    grid-template-columns: 50% 50%;
}

.link1 {
    text-decoration: none;
    color: white;
    padding-top: 2em;
    padding-bottom: 1em;
    font-weight: bold;
    background: black;
}

.contact {

    height: 32em;
    width: 90%;
    background-color: #232330;
    margin: 3em 3.4em;
    border-radius: 30%;
    display: grid;
    grid-template-columns: 50% 50%;
    font-size: 1.3em;

}

.contact2 h1 {
    font-size: 3.5rem;
    margin: 1em 0 1em 0;
    font-weight: 700;
}

.contact2 p {
    margin: 1em 6em 1em 1em;
    /* font-size: 1.3em; */
}

.contact2 ul li {
    list-style-type: none;
    padding: 10px;
}


.contact2 ul li i {
    color: #B062D1;
    font-size: 1.5em;
}

.contact2 ul>p {
    color: #B062D1;
}

footer {
    height: 180px;
    background-color: #221933;
    border-top: 1px solid white;
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    justify-content: center;
    align-items: center;
    box-shadow: 0 0 10px 1px white;
}

footer h4 {
    margin-left: 2em;
}

.contactpara {
    color: #B062D1;
}